/***************************
******** pcx.h, a part of editskin **
************************************/

typedef struct {
	char manufact;
	char version;
	char coding_type;
	char bpp;
	short xmin,ymin,xmax,ymax;
	short Hdpi, Vdpi;
	char palette_16[3*16];
	char reserv;
	char planes;
	short bytes_per_line;
	short palette_type;
	short Hscreen, Vscreen;
	char free[54];
} pcx_header;

void write_pcx(char *name,
               pcx_header pcx,
               unsigned char *wdata,
               unsigned char *wpalette);

pcx_header read_pcx(char *name);